--- app_voicemail.c.1.2.0-beta2	2005-10-31 18:20:30.000000000 -0800
+++ app_voicemail.c.0005689	2005-11-11 11:51:07.000000000 -0800
@@ -3852,6 +3852,10 @@
 			vms->curmsg++; 
 			make_file(vms->fn2, sizeof(vms->fn2), vms->curdir, vms->curmsg); 
 			if (strcmp(vms->fn, vms->fn2)) { 
+				/* DELETE file(s) before RENAME to handle the case where the curmsg has more
+				   recorded formats than the file being RENAME'd */
+				if (EXISTS(vms->curdir, x, vms->fn2, NULL))
+					DELETE(vms->curdir, x, vms->fn2);
 				RENAME(vms->curdir, x, vmu->mailbox,vmu->context, vms->curdir, vms->curmsg, vms->fn, vms->fn2);
 			} 
 		} else if (!strcasecmp(vms->curbox, "INBOX") && vms->heard[x] && !vms->deleted[x]) { 
